# Central Log Macros

List of Macros applicable to events relevant to:

* Log entries with **INFO** level
* Log entries with **WARNING** level
* Log entries with **ERROR** level

| Macro           | Description                                               |
| --------------- | --------------------------------------------------------- |
| logNotifierName | Name of the configured Log notifier                       |
| timestamp       | Time when the event occurred                              |
| messageCode     | Message code related to the module and level of the event |
| lcId            | Correlation ID of the relevant flow                       |
| dfiId           | Dataflow instance ID of the relevant flow                 |
| level           | Level of severity of the event                            |
| message         | Message related to the log entry                          |
| cluster         | Cluster name                                              |
| node            | Node name                                                 |
| module          | Central log module related to the event                   |
| contract        | Name of the contract associated to the event              |
| jobId           | Job ID of the relevant flow                               |
| workflowId      | Workflow ID of the relevant flow                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/data-mover-1.20/notification-channels/manage-templates/central-log-macros.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
